aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-satisfydepends
diff options
context:
space:
mode:
authordancer <dancer>2002-03-13 01:29:05 +0000
committerdancer <dancer>2002-03-13 01:29:05 +0000
commit7ac6b42b7262d9c7467c953cbf488d9b2e663e99 (patch)
tree8a3b74a60756797e10301ec81737cc45eb904a9c /pbuilder-satisfydepends
parentafb79b8c279baa57e1c2e9409acf0d0ddb017d7c (diff)
downloadpbuilder-7ac6b42b7262d9c7467c953cbf488d9b2e663e99.tar
pbuilder-7ac6b42b7262d9c7467c953cbf488d9b2e663e99.tar.gz
some minor fixups for satisfydepends workage.
It is getting closer to working state. I think.
Diffstat (limited to 'pbuilder-satisfydepends')
-rw-r--r--pbuilder-satisfydepends12
1 files changed, 6 insertions, 6 deletions
diff --git a/pbuilder-satisfydepends b/pbuilder-satisfydepends
index e36c61a..bcd2d83 100644
--- a/pbuilder-satisfydepends
+++ b/pbuilder-satisfydepends
@@ -124,8 +124,8 @@ tolower($0) ~ /^'"${BD_REGEXP}"':/ {p=1}
fi
done;
if [ "$SATISFIED" = "no" ]; then
- echo "E: pbuilder: Could not satisfy build-dependency." >&2
- saveaptcache_umountproc_cleanbuildplace
+ echo "E: Could not satisfy build-dependency." >&2
+ #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
done;
@@ -164,7 +164,7 @@ tolower($0) ~ /^'"${BC_REGEXP}"':/ {p=1}
if $CHROOTEXEC /usr/bin/dpkg -s $(echo "$INSTALLPKG" | tr "/" " " | awk '{print $1}') 2>&1 | grep ^Package: > /dev/null; then
if ! $CHROOTEXEC /usr/bin/apt-get -y remove ${CURRENTREALPKGNAME} ; then
echo "E: Could not satisfy build-conflicts" >&2
- saveaptcache_umountproc_cleanbuildplace
+ #saveaptcache_umountproc_cleanbuildplace
exit 1
fi
else
@@ -218,14 +218,14 @@ while [ -n "$1" ]; do
shift
;;
--echo)
- CHROOTEXEC="echo "
+ CHROOTEXEC="echo $CHROOTEXEC"
shift
;;
--force-version)
FORCEVERSION="yes"
shift;
;;
- --help|-h)
+ --help|-h|*)
print_help
exit 1
;;
@@ -233,4 +233,4 @@ while [ -n "$1" ]; do
done
-checkbuilddep_internal \ No newline at end of file
+checkbuilddep_internal